Name:           ocamlwc
Version:        0.3
Release:        %mkrel 13
Summary:        Count the lines of code and comments in OCaml sources
License:        GPLv2
Group:          Development/OCaml
URL:            http://www.lri.fr/~filliatr/software.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/ocaml/misc/ocamlwc-%{version}.tar.gz
BuildRequires:  ocaml-compiler

%description
ocamlwc is a program to count the number of lines of code and documentation
in OCaml sources.  It assumes the files to be lexically well-formed.

%prep
%setup -q

# Enable debugging information
sed -i 's|@OCAMLOPT@|ocamlopt.opt -g|' Makefile.in

%build
./configure --prefix=%{buildroot}%{_prefix}
make

%install
mkdir -p %{buildroot}%{_bindir}
make install

%files
%doc README
%{_bindir}/ocamlwc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3-13.mga8
+ Revision: 1515670
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3-12.mga7
+ Revision: 1299946
- Mageia 7 Mass Rebuild

* Fri Oct 06 2017 daviddavid <daviddavid> 0.3-11.mga7
+ Revision: 1169742
- enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 0.3-10.mga6
+ Revision: 1056453
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.3-9.mga6
+ Revision: 956491
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-8.mga5
+ Revision: 740720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-7.mga5
+ Revision: 683143
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-6.mga4
+ Revision: 508586
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3-5.mga3
+ Revision: 361759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3-4.mga3
+ Revision: 301458
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3-2.mga3
+ Revision: 300459
- new rpm group for ocaml

* Fri Apr 13 2012 blue_prawn <blue_prawn> 0.3-1.mga2
+ Revision: 230632
- imported package ocamlwc

